Summary:   Wrapper library for GNOME VTE
Name:      libvte-java 
Version:   0.12.1
Release:   %mkrel 2
Epoch:	   0
URL:       http://java-gnome.sourceforge.net/
Source0:   http://research.operationaldynamics.com/linux/java-gnome/dist/%{name}-%{version}.tar.bz2
Source1:   java-gnome-macros.tar.bz2
License:   LGPL
Group:     Development/Java
BuildRoot: %{_tmppath}/libvte-java
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires: 	glib-java >= 0:0.2
Requires:	libgtk-java >= 0:2.8.0
Requires:	vte >= 0:0.11.10
BuildRequires:  java-devel >= 0:1.4.2, glib-java-devel >= 0:0.2
BuildRequires:	libgtk-java-devel >= 0:2.8.0
BuildRequires:	libgnomeui2-devel
BuildRequires:	libgnomecanvas2-devel
BuildRequires:  gcc-java >= 0:3.3.3, docbook-utils, vte-devel >= 0:0.11.10
BuildRequires: 	pkgconfig
BuildRequires:	jpackage-utils

%description 
libvte-java is a Java wrapper library for the GNOME VTE library
which allows access to the terminal widget from Java.

%package        devel
Summary:        Compressed Java source files for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}

%description    devel
Compressed Java source for %{name}. This is useful if you are developing
applications with IDEs like Eclipse.

%prep
%setup -q
%setup -q -T -D -a 1
%{__aclocal} -I macros --force
%{__autoconf} --force
%{__automake} --copy --force-missing
%{__libtoolize} --copy --force

%build
export CLASSPATH=
export JAVA=%{java}
export JAVAC=%{javac}
export JAR=%{jar}
export JAVADOC=%{javadoc}
%configure2_5x --with-jardir=%{_javadir}
%make

# pack up the java source
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/^lib//")
zipfile=$PWD/$jarname$jarversion-src-%{version}.zip
pushd src/java
zip -9 -r $zipfile $(find -name \*.java)
popd

%install
rm -rf $RPM_BUILD_ROOT

make  DESTDIR=$RPM_BUILD_ROOT  install 

# rename doc dir to reflect package rename, if the names differ
if [ 'x%{name}' != 'x%{name}' ] ; then
	mv $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
fi

# install the src zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/^lib//")
install -m 644 $jarname$jarversion-src-%{version}.zip $RPM_BUILD_ROOT%{_datadir}/java/
pushd $RPM_BUILD_ROOT%{_datadir}/java
ln -sf $jarname$jarversion-src-%{version}.zip $jarname$jarversion-src.zip
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig 
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc doc/api AUTHORS ChangeLog COPYING INSTALL NEWS README 
%{_libdir}/*so*
%{_libdir}/*la
%{_libdir}/pkgconfig/*
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_datadir}/java/*.zip

%changelog
* Tue Aug 08 2006 David Walluck <walluck@mandriva.org> 0:0.12.1-2mdv2007.0
- fix libtool

* Mon Aug 07 2006 David Walluck <walluck@mandriva.org> 0:0.12.1-1mdv2007.0
- 0.12.1

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0:0.12.0-1mdv2007.0
- 0.12.0
- add URL to Source0
- add epochs to BuildRequires

* Tue Feb 14 2006 David Walluck <walluck@mandriva.org> 0:0.11.11-2mdk
- BuildRequires: libgnomeui2-devel, libgnomecanvas2-devel

* Mon Feb 06 2006 David Walluck <walluck@mandriva.org> 0:0.11.11-1mdk
- release

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> - 0.11.11-7
- rebuilt again

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 10 2005 Igor Foox <ifoox@redhat.com> - 0.11.11-6
- Initial import
